#101 [win32] Cannot open tabs when home directory is the root

0.7.0
open
sky_HALud
6
2012-10-29
2006-04-03
sky_HALud
No

This bug report comes from this forum post:

http://sourceforge.net/forum/message.php?msg_id=3665832

and it is:

"This is the same post as the one I created in "Support
Requests". Since I have not received any response, I'm
posting here as well.
The problems:
1. Downloaded three times, twice the file was
corrupted(the installer itself reported it).
2. Installed, without changing any install options and
at the end of the installation, when the jCommander
started, I've got this error message:
"Badly formed URI "D:".
3. The window is empty(except the menu and toolbar) so
I tried opening a tab. Got this error message:
"Invalid absolute URI "file://D:".

I'm guessing this should be the highest severity issue,
since the application does not do anything.

Also, I'm not sure why the jCommander is looking at D:
drive but it might be because I have moved my "My
Documents" folder to D: and this system variables have
changed:
HOME=D:\
HOMEDRIVE=D:
HOMEPATH=\ "

Discussion

  • sky_HALud
    sky_HALud
    2006-04-03

    Logged In: YES
    user_id=940779

    Based on a short analysis, it seems that the way we build up
    the default directory name does not work when the user's
    home directory is the root drive on Windows. The resulting
    Commons VFS URL is not valid (e.g. "file://D:") and should
    rather be "file://D:/". A small thing, indeed, but it is
    enough for it not to work.

     
  • sky_HALud
    sky_HALud
    2006-04-03

    Logged In: YES
    user_id=940779

    Unfortunately it is quite hard for me to reproduce this bug,
    but I would welcome your input on this.

    I have provided a fix for what I think the problem is.
    Please see this lates development build if this fixes the
    problem:

    http://prdownloads.sourceforge.net/jcommander/jcommander-0.7.1-win32-03042006.zip?download

    Can you confirm that the bug is fixed?

     
  • Logged In: NO

    Thanks for looking into this, its partialy working now.
    When I start the app, I get the error message box(with not
    caption) with a message:
    Badly formed URI "D:".
    After clicking OK, the window is empty.
    However, clicking the button to open a new tab does open a
    new tab with name: Tab 0 [file:///D://][file:///D://]
    Bit too many "/" but I can now browse the file system.

    Keep up the good work!

     
  • sky_HALud
    sky_HALud
    2006-04-04

    Logged In: YES
    user_id=940779

    OK, this is better. Do you still get the initial error
    message after the first successful startup of JCommander?

     
  • Logged In: NO

    I get the error only when jCommander starts with no tabs.
    That is at the very first time or after I have closed all
    the tabs and exited and started it again.

    I also find the root element of the directory tree very
    confusing. The menu "Partitions" in the tab has my disks
    named properly, the drive letters with the volume labels,
    but the root of the directory tree is always this ugly label:
    file:///D://
    Can it be simply D:\ or D: or D: with the volume label?

     
  • sky_HALud
    sky_HALud
    2006-04-05

    Logged In: YES
    user_id=940779

    As a first step please try to delete the jcommander.conf
    file from your home directory (D:). I would consider this
    bug fixed only when everything works perfectly.

    Regarding your thoughts on the user friendliness of VFS
    URLs, you're quite right. Based on this, I have created and
    implemented this feature request: 1465312 "Display user
    friendly VFS URLs"

    This feature also fixes a big problem with the display of
    the passwords in clear text.

    Please see the latest development build at
    http://prdownloads.sourceforge.net/jcommander/jcmd-0.7.1-20060405.zip?download
    and please let me know the remaining issues.

     
  • Logged In: NO

    Sorry for taking this long to respond, I've been quite busy
    at work with no time to test jCommander. Until now.
    I've installed(unzipped) the 20060405 version, deleted the
    configuration file and after starting the jCommander I still
    got the same "Badly formed URI D:" message.
    After that, the window has not tabs. Opening a new tab shows
    me the listing of drive D: and everything seems ok.

    Almost everything.
    I accidentaly opened a directory that has 4000(four
    thousand) files and that has rendered the jCommander
    unsable(the system has slowed down as well). Even after few
    minutes, the jCommander still shows "receiving content of
    directory" and the CPU jumps to 100%. The CPU usage goes
    down after few seconds after I switch to another application
    but jumps back to 100% when I switch back(and it is still
    receiving content of the directory). For comparison, another
    "native" file browser takes few seconds (less than 5) and
    Windows Explorer shows the directory almost instantly.

     
  • sky_HALud
    sky_HALud
    2006-04-25

    Logged In: YES
    user_id=940779

    Thanks for taking your time to help out with this problem!

    I have uploaded a development version with more verbose
    logging (link to the win32 package):
    http://prdownloads.sourceforge.net/jcommander/jcommander-0.7.1-win32-20060425.zip?download.
    I would like to ask to you to once more delete the
    configuration file, start up JCommander so that the error
    appears and post here the relevant parts of the log.

    Regarding the performance bottleneck, yes, we know about it.
    For us the performance benchmark on Windows is the
    Windows/System32 folder which contains thousands of file. We
    realise that there's a problem going on, but we haven't
    really had the time to deal with this optimisation so far.
    In any case, thanks for reminding us about it.

     
  • Logged In: NO

    I have tried with the latest version as well with the one
    previously suggested and in both cases the result is the
    same, an error message saying: Badly formed URI "D:" .
    Below is the content of the log files and conf files for
    both versions I've tried with.

    jcommander-0.7.1-200604251256 log file content:

    2006-05-12 13:22:13,191 INFO [main] app.PlatformRunnable
    (PlatformRunnable.java:32) - User data location: file:/D:/user/
    2006-05-12 13:22:25,148 DEBUG [main] utils.MessageDisplayer
    (MessageDisplayer.java:45) - Created default bookmarks file.
    2006-05-12 13:22:25,208 DEBUG [main] utils.MessageDisplayer
    (MessageDisplayer.java:45) - Created default bookmarks file.
    2006-05-12 13:22:31,587 INFO [main] config.Configuration
    (Configuration.java:94) - Wrote configuration file to
    D:\jcommander.conf

    jcommander-0.7.1-200604251256 conf file content:

    <java version="1.5.0_01" class="java.beans.XMLDecoder"> <object class="org.jcommander.ui.app.config.Configuration"> <void property="defaultLeftpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="uri"> <string>file:/D:/</string> </void> </object> </void> <void property="defaultRightpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="uri"> <string>file:/D:/</string> </void> </object> </void> <void property="tabs"> <void method="add"> <object class="org.jcommander.ui.app.config.ConfigurationTab"> <void property="leftpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="showTree"> <boolean>true</boolean> </void> <void property="uri"> <string>file:///D://</string> </void> </object> </void> <void property="name"> <string>Tab 0</string> </void> <void property="rightpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="showTree"> <boolean>true</boolean> </void> <void property="uri"> <string>file:///D://</string> </void> </object> </void> <void property="secondaryViewID"> <string>0</string> </void> <void property="viewID">

    <string>org.jcommander.ui.filepanel.views.FilePanelView</string>

     </void> 
    </object>
    

    </void>
    </void>
    </object>
    </java>

    jcommander-0.7.1-200604271710 log file content:

    2006-05-12 13:23:14,890 INFO [main] app.PlatformRunnable
    (PlatformRunnable.java:32) - User data location: file:/D:/user/
    2006-05-12 13:23:24,133 DEBUG [main] utils.MessageDisplayer
    (MessageDisplayer.java:45) - Created default bookmarks file.
    2006-05-12 13:23:24,183 DEBUG [main] utils.MessageDisplayer
    (MessageDisplayer.java:45) - Created default bookmarks file.
    2006-05-12 13:23:30,492 INFO [main] config.Configuration
    (Configuration.java:94) - Wrote configuration file to
    D:\jcommander.conf

    jcommander-0.7.1-200604271710 conf file content:

    <java version="1.5.0_01" class="java.beans.XMLDecoder"> <object class="org.jcommander.ui.app.config.Configuration"> <void property="defaultLeftpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="uri"> <string>file:/D:/</string> </void> </object> </void> <void property="defaultRightpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="uri"> <string>file:/D:/</string> </void> </object> </void> <void property="tabs"> <void method="add"> <object class="org.jcommander.ui.app.config.ConfigurationTab"> <void property="leftpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="showTree"> <boolean>true</boolean> </void> <void property="uri"> <string>file:///D://</string> </void> </object> </void> <void property="name"> <string>Tab 0</string> </void> <void property="rightpanel"> <object class="org.jcommander.ui.app.config.ConfigurationPanel"> <void property="showTree"> <boolean>true</boolean> </void> <void property="uri"> <string>file:///D://</string> </void> </object> </void> <void property="secondaryViewID"> <string>0</string> </void> <void property="viewID">

    <string>org.jcommander.ui.filepanel.views.FilePanelView</string>

     </void> 
    </object>
    

    </void>
    </void>
    </object>
    </java>